export const fileIcons ={
  'pdf': 'pdf.png',
  'doc': 'word.png',
  'docx': 'word.png',
  'xls': 'excel.png',
  'xlsx': 'excel.png',
  'txt': 'txt.png',
  'ppt': 'ppt.png',
  'pptx': 'ppt.png',
  // 其他文件类型的映射
}

export const  imgExt = ['png', 'jpg', 'jpeg', 'webp']

/**
 * 获取文件图标
 * @param fileName
 * @returns {string}
 */
export function getIconPath(fileName) {
  const ext = fileName.split('.').pop().toLowerCase(); // 获取文件后缀并转换为小写
  if (imgExt.includes(ext)) {
    return "png"; // 如果是图片文件则直接显示图片
  }
  if (fileIcons.hasOwnProperty(ext)) {
    return `${fileIcons[ext]}`;
  } else {
    return `default-icon.png`; // 当未知文件类型时显示默认图标
  }
}
